GroupNotCompatibleException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.shared.GroupNotCompatibleException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.shared
Class GroupNotCompatibleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.appdef.shared.AppdefEntityException
                          org.hyperic.hq.grouping.shared.GroupNotCompatibleException

All Implemented Interfaces:
  java.io.Serializable

    public class GroupNotCompatibleException

extends AppdefEntityException

This exception is thrown when someone is trying to operate on a non-compatible group in a way that may only be done to compatible groups.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`GroupNotCompatibleException(AppdefEntityID aeid)`
`GroupNotCompatibleException(java.lang.String s, AppdefEntityID aeid)`
`GroupNotCompatibleException(java.lang.String s, java.lang.Throwable t, AppdefEntityID aeid)`
`GroupNotCompatibleException(java.lang.Throwable t, AppdefEntityID aeid)`

Method Summary

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefEntityException
`getAppdefEntityID, setAppdefEntiyID`

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupNotCompatibleException

    public GroupNotCompatibleException(AppdefEntityID aeid)

### GroupNotCompatibleException

    public GroupNotCompatibleException(java.lang.String s,
                                       AppdefEntityID aeid)

### GroupNotCompatibleException

    public GroupNotCompatibleException(java.lang.Throwable t,
                                       AppdefEntityID aeid)

### GroupNotCompatibleException

    public GroupNotCompatibleException(java.lang.String s,
                                       java.lang.Throwable t,
                                       AppdefEntityID aeid)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.